Method: agenticCaseReports.get

Full name: projects.locations.instances.cases.agenticCaseReports.get

Retrieves a specific agenticCaseReport by its ID.

HTTP request

GET https://{endpoint}/v1alpha/{name}

Where {endpoint} is one of the supported service endpoints.

Path parameters

Parameters
name

string

Required. The name of the report to retrieve.

Request body

The request body must be empty.

Response body

If successful, the response body contains an instance of AgenticCaseReport.

Authorization scopes

Requires one of the following OAuth scopes:

  • https://www.googleapis.com/auth/cloud-platform
  • https://www.googleapis.com/auth/chronicle

For more information, see the Authentication Overview.

IAM Permissions

Requires the following IAM permission on the name resource:

  • chronicle.agenticCaseReports.get

For more information, see the IAM documentation.